package com.persagy.dmp.rwd.edit.controller;

import com.persagy.common.criteria.JacksonCriteria;
import com.persagy.common.web.PagedResponse;
import com.persagy.dmp.rwd.edit.model.DtDataModel;
import com.persagy.dmp.rwd.edit.service.DtDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/rwdedit/dt/data")
public class DtDataController {

    @Autowired
    private DtDataService service;

    @PostMapping("/query")
    public PagedResponse<DtDataModel> query(@RequestBody JacksonCriteria criteria) {
        return service.query(criteria);
    }
}
