package com.persagy.dmp.rwd.edit.controller;

import com.persagy.common.web.MapResponse;
import com.persagy.dmp.rwd.edit.service.UploadService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

@Slf4j
@RestController
@RequestMapping("/rwdedit/common")
public class UploadController {

    @Autowired
    private UploadService uploadService;

    @PostMapping("/upload")
    public MapResponse upload(@RequestParam String type, @RequestParam("siatic/file") MultipartFile file) {
        MapResponse response = new MapResponse();
        try {
            return uploadService.upload(type, file);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return response;
    }
}
